Data Structures | Variables

# video_driver.hpp File Reference

Base of all video drivers. More...

`#include "../driver.h"`
`#include "../core/geometry_type.hpp"`
`#include "../driver.h"`

Go to the source code of this file.

## Data Structures
class | VideoDriver
| The base of all video drivers. More...
## Variables
VideoDriver * | _video_driver
| The currently active video driver.
char * | _ini_videodriver
| The video driver a stored in the configuration file.
int | _num_resolutions
| The number of resolutions.
Dimension | _resolutions [32]
| List of resolutions.
Dimension | _cur_resolution
| The current resolution.
bool | _rightclick_emulate
| Whether right clicking is emulated.

## Detailed Description

Base of all video drivers.

Definition in file video_driver.hpp.